## ros-kinetic-rr-control-input-manager 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rr_control_input_manager)


find_package(catkin REQUIRED COMPONENTS
  roscpp
  rospy
  std_msgs
)

################################################
## Declare ROS messages, services and actions ##
################################################


################################################
## Declare ROS dynamic reconfigure parameters ##
################################################


###################################
## catkin specific configuration ##
###################################
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES rr_control_input_manager
#  CATKIN_DEPENDS roscpp rospy std_msgs
#  DEPENDS system_lib
)

###########
## Build ##
###########
include_directories(
# include
  ${catkin_INCLUDE_DIRS}
)


#############
## Install ##
#############

catkin_install_python(PROGRAMS scripts/control_input_manager.py scripts/xbox_mapper.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(PROGRAMS test/test_functional.py test/test_latency.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/test
)

## Copy launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
  FILES_MATCHING PATTERN "*.launch"
)

## Copy config files
install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
  FILES_MATCHING PATTERN "*.yaml"
)

## Copy test files
install(DIRECTORY test/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/test
  FILES_MATCHING PATTERN "*.test"
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_rr_control_input_manager.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/control_input_manager.test)
endif()

=== debian/changelog ===
ros-kinetic-rr-control-input-manager (1.0.1-1xenial) xenial; urgency=high



 -- Nicholas Padilla <nickpadilla@roverrobotics.com>  Mon, 15 Jun 2020 05:00:00 -0000

ros-kinetic-rr-control-input-manager (1.0.0-1xenial) xenial; urgency=high

  * adding support for freedom robotics and add watchdog timer to rover zero driver
  * Contributors: padiln

 -- Nicholas Padilla <nickpadilla@roverrobotics.com>  Mon, 08 Jun 2020 05:00:00 -0000

ros-kinetic-rr-control-input-manager (0.8.0-1xenial) xenial; urgency=high



 -- Nicholas Padilla <nickpadilla@roverrobotics.com>  Wed, 25 Mar 2020 05:00:00 -0000

ros-kinetic-rr-control-input-manager (0.7.4-1xenial) xenial; urgency=high

  * changed maintainership

 -- Nicholas Padilla <padilla@digilabs.io>  Wed, 19 Feb 2020 06:00:00 -0000

ros-kinetic-rr-control-input-manager (0.7.3-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Mon, 14 Oct 2019 05:00:00 -0000

ros-kinetic-rr-control-input-manager (0.7.2-1xenial) xenial; urgency=high

  * Changed rr_control_input_manager from a mux with fix input to latency manager for TwistStamped messages.

 -- Nicholas Padilla <padilla@digilabs.io>  Thu, 18 Jul 2019 05:00:00 -0000

ros-kinetic-rr-control-input-manager (0.7.1-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Mon, 24 Jun 2019 05:00:00 -0000

ros-kinetic-rr-control-input-manager (0.7.0-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Mon, 13 May 2019 05:00:00 -0000

ros-kinetic-rr-control-input-manager (0.6.2-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Wed, 23 Jan 2019 06:00:00 -0000

ros-kinetic-rr-control-input-manager (0.6.1-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Thu, 20 Dec 2018 06:00:00 -0000

ros-kinetic-rr-control-input-manager (0.6.0-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Fri, 07 Dec 2018 06:00:00 -0000

ros-kinetic-rr-control-input-manager (0.5.1-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Thu, 20 Sep 2018 05:00:00 -0000

ros-kinetic-rr-control-input-manager (0.5.0-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Thu, 06 Sep 2018 05:00:00 -0000

ros-kinetic-rr-control-input-manager (0.4.0-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Mon, 23 Jul 2018 05:00:00 -0000

ros-kinetic-rr-control-input-manager (0.3.0-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Thu, 19 Jul 2018 05:00:00 -0000

ros-kinetic-rr-control-input-manager (0.2.0-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Tue, 17 Jul 2018 05:00:00 -0000

ros-kinetic-rr-control-input-manager (0.1.0-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Tue, 10 Jul 2018 05:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rr-control-input-manager
Section: misc
Priority: optional
Maintainer: Nicholas Padilla <nickpadilla@roverrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-rostest, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-rr-control-input-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-std-msgs
Description: Filter velocity commands by ensuring that message time stamps do not exceed given timeout thresholds.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rr-control-input-manager//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
